/*
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-projects/devel-chroots/devel-chroots-1.0.1/src/utils/hostname-resolution-validity.c,v 1.1 2004/08/23 15:47:12 pappy Exp $

	hostname validity checker

/var/tmp/portage/python-2.3.3-r1/work/Python-2.3.3/Modules/socketmodule.c:setipaddr()

static int
setipaddr(char *name, struct sockaddr *addr_ret, size_t addr_ret_size, int af)
{       

this creates an "error message" if the local hostname (and not the REMOTE hostname)
cannot be transformed to an ip by setipaddr() in _socket.so by the following code snippet:

 01:08:53 [/space/chroots/chroot001:8573.pts-6.papillon]papillon ~
  # cat bug.py 
  #!/usr/bin/python -i
  import smtplib;
  smtplib.SMTP("smtp.gentoo.org");

*phew*

-pappy

*/

#include <stdio.h>
#include <unistd.h>
#include <netdb.h>

extern int gethostname (char *name, size_t len);
extern struct hostent *gethostbyname (const char *name);
extern int h_errno;

int check_name_vs_ip (char *name);

int
main (void)
{
  char buffer[1024];

  if (gethostname ((char *) buffer, (int) sizeof buffer - 1))
    {
      return (1);
    }
  else
    {
      if (check_name_vs_ip ((char *) &buffer))
	{
	  return (h_errno);
	}
      else
	{
	  return (0);
	}
    }
}

int
check_name_vs_ip (char *name)
{
  struct hostent *host;

  host = gethostbyname (name);

  if (host == NULL)
    {
      return (1);
    }
  else
    {
      return (0);
    }
}

